package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TGasBottleInfo;

/**
 * 气瓶信息Mapper接口
 * 
 * @author zehong
 * @date 2023-08-15
 */
public interface TGasBottleInfoMapper 
{
    /**
     * 查询气瓶信息
     * 
     * @param bottleId 气瓶信息ID
     * @return 气瓶信息
     */
    public TGasBottleInfo selectTGasBottleInfoById(Long bottleId);

    /**
     * 查询气瓶信息列表
     * 
     * @param tGasBottleInfo 气瓶信息
     * @return 气瓶信息集合
     */
    public List<TGasBottleInfo> selectTGasBottleInfoList(TGasBottleInfo tGasBottleInfo);

    /**
     * 新增气瓶信息
     * 
     * @param tGasBottleInfo 气瓶信息
     * @return 结果
     */
    public int insertTGasBottleInfo(TGasBottleInfo tGasBottleInfo);

    /**
     * 修改气瓶信息
     * 
     * @param tGasBottleInfo 气瓶信息
     * @return 结果
     */
    public int updateTGasBottleInfo(TGasBottleInfo tGasBottleInfo);

    /**
     * 删除气瓶信息
     * 
     * @param bottleId 气瓶信息ID
     * @return 结果
     */
    public int deleteTGasBottleInfoById(Long bottleId);

    /**
     * 批量删除气瓶信息
     * 
     * @param bottleIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGasBottleInfoByIds(Long[] bottleIds);
}
